/**
 * Copyright (C) 2011 Linutop SAS <http://www.linutop.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef LOCKSETUP_H
#define LOCKSETUP_H

#include <glib.h>
#include <gtk/gtk.h>

#define CONFFILE "/cdrom/lock.cfg"

typedef struct _LockItems {
    gboolean no_kbd_shortcut;

    gboolean autolog;
    gboolean no_logout;
    gboolean no_shutdown;

    gboolean no_menu;
    gboolean no_desktop;
    gboolean lconfeditor_icon;
    gboolean lconfeditor_shortcut;

    gboolean no_automount;
} LockItems;

void read_config (LockItems *items);
void save_config (LockItems *items);

void attach_toggle_to_boolean (GtkWidget *btn, gboolean *b);

#endif /* !LOCKSETUP_H */
